<?
  function FormatField($aAgataConfig, $data, $type)
  {
    //locale definition
    //float, currency
    $default = $aAgataConfig['defaultConfiguration'];
    $precision   = $aAgataConfig[$default]['Precision'];
    $thousep     = $aAgataConfig[$default]['ThouSep'];
    $decsep      = $aAgataConfig[$default]['DecSep'];
    $datefmt     = $aAgataConfig[$default]['DateFmt'];
    $datetimefmt = $aAgataConfig[$default]['DateTimeFmt'];
    $DbType      = $aAgataConfig[$default]['DataBase'];
    $alRight     = false;

    $type = strtoupper($type);
    $res1 = $data;
    //ifx
    //echo "$data - $type \n";

    if ($DbType=='ifx')
    {
        switch ($type)
        {
            case "SQLSERIAL"   :
            case "SQLINT"      :
            case "SQLSMINT"    :
                //int
                $res1 = $data;
                break;
            case "SQLDECIMAL"  :
            case "SQLMONEY"    :
            case "SQLSMFLOAT"  :
            case "SQLFLOAT"    :
                //float
                $res1 = number_format($data, $precision, $decsep, $thousep );
                $alRight = true;
                break;
            case "SQLDATE"     :
            case "SQLINTERVAL" :
                //date
                $res1 = date($datefmt, strtotime($date));
                break;
            case "SQLDTIME"    :
                //date time
                $res1 = date($datetimefmt, strtotime($date));
                break;
            case "SQLCHAR" :
            case "SQLVCHAR" :
            case "SQLNCHAR" :
            case "SQLNVCHAR" :
            case "SQLTEXT" :
            case "SQLLVARCHAR" :
            case "SQLLVARCHAR" :
                //str
                $res1 = $data;
                break;
        }
    }
    else if ($DbType=='pgsql')
    {
        switch ($type)
        {
            case "NUMERIC"    :
                //float
                //echo "entrou - $res1 \n";
                //$res11 = number_format($data, $precision, $decsep, $thousep);
                $res12 = sprintf("%01,2f", $res1);
                $alRight = true;
        }
    }
    else
    {
      $res1 = $data;
    }
    //ibase

    //fare qua:

    //"TEXT" "VARYING"
    //"SHORT" "LONG"
    //"FLOAT" "DOUBLE" "D_FLOAT" "INT64"
    //"TIMESTAMP" "DATE" "TIME"

    //mysql

    //fare qua:

    //"string" "int" "real" "timestamp" "year" "date" "time" "datetime" "blob" "null" "unknown"

    //mssql
    //"char" "datetime" "decimal" "float" "image" "int" "nvarchar" "smallint" "text" "tinyint" "varchar"

    //and so on...

    return array($res1, $alRight);
  }


?>
