<?php
include_once ("jpgraph/jpgraph.php");
include_once ("jpgraph/jpgraph_line.php");

// Create the graph. These two calls are always required
$graph = new Graph(600,200,"auto");
$graph->SetScale("textlin");
$data_diario = array(1,2,3,4);
// Create the linear plot
$lineplot=new LinePlot($data_diario);
$lineplot->mark->SetType(MARK_CIRCLE);

// Add the plot to the graph
$graph->Add($lineplot);

$graph->img->SetMargin(40,20,20,40);
$graph->title->Set("LPFree Grafico Diario");
$graph->xaxis->title->Set("horas");
//$graph->yaxis->title->Set("Y-title");

$graph->title->SetFont(FF_FONT1,FS_BOLD);
$graph->yaxis->title->SetFont(FF_FONT1,FS_BOLD);
$graph->xaxis->title->SetFont(FF_FONT1,FS_BOLD);

$lineplot->SetColor("blue");
$lineplot->SetWeight(2);
$graph->yaxis->SetColor("red");
$graph->yaxis->SetWeight(2);
$graph->SetShadow();

// Display the graph
$graph->Stroke('dia.png');
?>
